﻿using UnityEngine;
using System.Collections;

public class Camera2D : MonoBehaviour {

	private Transform target;
	public Transform target1;
	public Transform target2;
	public Transform panelleft;
	public Transform panelright;
	public float smoothRate = 0.5f;


	private bool swap = true;
	private bool panel = false;

	private Transform cameraTransform;
	public Vector2 velocity;

	float fixer = 2.0f;

	// Use this for initialization
	void Start () {
		target = target1;
		cameraTransform = transform;
		velocity = new Vector2 (0.5f, 0.5f);
	}

	public void Panel()
	{
		panel = !panel;

		if(panel)
		smoothRate = 1.0f;

		if(!panel)
		{
			target = target1;
			smoothRate = 0.1f;
		}
		//else
		//{
		//	Swapping();
		//}
	}

	public void Swapping()
	{

		smoothRate = 0.1f;
			swap = !swap;
			if(swap)
			{
				fixer = 2.0f;
				target = target1;
			}
			
			if(!swap)
			{
				fixer = -2.0f;
				target = target2;
			}

	}

	// Update is called once per frame
	void Update () {

		if (target1 == null)
						target = target2;
		if (target2 == null)
						target = target1;

		if (target1 == null && target2 == null)
		{
			Application.LoadLevel(Application.loadedLevel+1);
		}

		if(panel)
		{
		
			
			if(panelleft.position.x +5.0f > transform.position.x)
			{
				fixer = 0.0f;
				target = panelright;
				
			}
			
			if(panelright.position.x -5.0f < transform.position.x)
			{
				fixer = 0.0f;
				target = panelleft;
			}
		}

		Vector2 newPos2D = Vector2.zero;

		newPos2D.x = Mathf.SmoothDamp(cameraTransform.position.x, target.position.x, ref velocity.x, smoothRate);
		newPos2D.y = Mathf.SmoothDamp(cameraTransform.position.y, target.position.y+fixer, ref velocity.y, smoothRate);

		Vector3 newPos = new Vector3(newPos2D.x, newPos2D.y, transform.position.z);
		transform.position = Vector3.Slerp(transform.position, newPos, Time.time);
	}
}
